#### MODULE SOURCES ####
Version: 6.0
%define module_name     thinkpad
%define module_version  %version
%define module_release  alt1

Name: kernel-source-%module_name-%module_version
Release: %module_release
Summary: IBM ThinkPad SMAPI BIOS drivers - module sources
License: GPL
Group: Development/Kernel
Url: http://tpctl.sourceforge.net
BuildArch: noarch

Source: http://prdownloads.sourceforge.net/tpctl/%{module_name}-%version.tar.gz
Patch: thinkpad-5.9-alt-makefile.patch.gz

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
Drivers for IBM System Management Application Program Interface
(SMAPI) BIOS found in some IBM ThinkPad laptop computers.

%prep
%setup -q -c -n %name
%__mv %module_name-%module_version thinkpad
%patch -p1

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
pushd ..
%__tar -c kernel-source-%module_name-%module_version | %__bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%attr(644,root,root) %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sat Jan 27 2007 Grigory Batalov <bga@altlinux.ru> 6.0-alt1
- New upstream release.

* Sat Apr 22 2006 Grigory Batalov <bga@altlinux.ru> 5.9-alt1
- 5.9

* Sun Mar 05 2006 Grigory Batalov <bga@altlinux.ru> 5.8-alt2
- Fix 2.6.x build

* Wed Oct 13 2004 Grigory Batalov <bga@altlinux.ru> 5.8-alt1
- 5.8

* Mon Mar 29 2004 Grigory Batalov <bga@altlinux.ru> 5.0-alt1
- 5.0

* Sat Dec 06 2003 Grigory Batalov <bga@altlinux.ru> 4.8-alt1
- Initial release
